xpra icon
Bug tracker and wiki

Opened 6 years ago

Closed 6 years ago

#651 closed defect (fixed)

WebP rendering problems

Reported by: onlyjob Owned by: onlyjob
Priority: critical Milestone:
Component: encodings Version: 0.14.x
Keywords: Cc:

Description

0.14.1 can't render konsole application using WebP encoding.
As soon as WebP encoding is chosen konsole renders with vertical stripes and quality settings do not have any effect.
0.13.9 was OK; other applications and encodings behave as expected.
Noticed on current Debian "testing". OpenGL is disabled.

System: Xpra version, platform and host information
gtk.cairo.version                : 1.8.8
gtk.gdk.version                  : 2.24.0
gtk.glib.version                 : (2, 40, 0)
gtk.gobject.version              : (2, 28, 6)
gtk.gtk.version                  : (2, 24, 24)
gtk.pango.version                : 1.36.3
gtk.pygtk.version                : (2, 24, 0)
host.byteorder                   : little
host.gid                         : 1100
host.hostname                    : debness
host.pid                         : 21804
host.python.full_version         : 2.7.8 (default, Aug 10 2014, 16:19:34) \n[GCC 4.9.1]
host.python.version              : (2, 7, 8)
host.uid                         : 1100
paths.app                        : /usr/share/xpra
paths.app.default                : /usr/share/xpra
paths.icons                      : /usr/share/xpra/icons
paths.resources                  : /usr/share/xpra
paths.socket                     : ~/.xpra
paths.system_conf_dir            : /etc/xpra
paths.user_conf_dir              : ~/.xpra
platform                         : linux2
platform.linux_distribution      : ('debian', 'jessie/sid', '')
platform.machine                 : x86_64
platform.name                    : Linux
platform.platform                : Linux-3.14-2-amd64-x86_64-with-debian-jessie-sid
platform.processor               : 
platform.release                 : 3.14-2-amd64
version.bit                      : 64bit
version.by                       : pbuilder
version.compiler                 : gcc (Debian 4.9.1-6) 4.9.1
version.cpu                      : Intel(R) Core(TM) i7-4820K CPU @ 3.70GHz
version.cython                   : 0.20.2
version.date                     : 2014-08-21
version.linker                   : GNU ld (GNU Binutils for Debian) 2.24.51.20140818
version.local_modifications      : 0.14.1+dfsg-1
version.on                       : deblab
version.python                   : (2, 7, 8)
version.revision                 : 7376
version.time                     : 01:16
version.version                  : 0.14.1

Network: Compression, packet encoding and encryption
bencode                          : True
bencode.version                  : ('Cython', 0, 11)
chunked_compression              : True
compressors                      : ['zlib', 'lz4', 'lzo']
digest                           : ('hmac', 'xor')
encoders                         : ['bencode', 'rencode']
interfaces                       : ['lo', 'eth0', 'eth1', 'bond0', 'br0']
lz4                              : True
lzo                              : True
lzo.version                      : 2.08
mmap                             : True
pycrypto                         : True
pycrypto.fastmath                : True
pycrypto.version                 : 2.6.1
raw_packets                      : True
rencode                          : True
rencode.version                  : ('Cython', 1, 0, 2)
yaml                             : False
zlib                             : True
zlib.version                     : 1.0

Encodings: Picture encodings supported
PIL                              : 2.5.1
avcodec2                         : (55, 34, 1)
cython                           : (0, 3, '0', '20', '2')
dec_webp                         : (0, 4, 0)
enc_webp                         : (0, 4, 0)
swscale                          : (2, 1, 2)
vpx                              : v1.3.0
x264                             : 142

Server Info: Full server information from 'xpra info'
batch.delay.50p                  : 6
batch.delay.80p                  : 9
batch.delay.90p                  : 9
batch.delay.avg                  : 6
batch.delay.cur                  : 5
batch.delay.max                  : 9
batch.delay.min                  : 5
batch.locked                     : False
batch.max-delay                  : 500
batch.min-delay                  : 5
batch.timeout-delay              : 15000
client.auto_refresh              : 150
client.bell                      : True
client.clipboard                 : True
client.clipboard_notifications   : True
client.connection.compression_level : 1
client.connection.compressor     : lz4
client.connection.encoder        : rencode
client.connection.endpoint       : /home/onlyjob/.xpra/debhive-33
client.connection.input.bytecount : 13207
client.connection.input.cipher   : 
client.connection.input.count    : {'map-window': 1, 'server-settings': 1, 'clipboard-token': 1, 'encoding': 1, 'info-request': 1, 'ping': 3, 'damage-sequence': 1, 'buffer-refresh': 1, 'focus': 1, 'configure-window': 1, 'set_deflate': 1, 'ping_echo': 3, 'hello': 1, 'set-keyboard-sync-enabled': 1}
client.connection.input.packetcount : 27
client.connection.input.raw_packetcount : 23
client.connection.large_packets  : ('hello', 'info-response')
client.connection.max_packet_size : 1048576
client.connection.output.bytecount : 766662
client.connection.output.cipher  : 
client.connection.output.count   : {'draw': 5, 'server-event': 1, 'hello': 1, 'ping': 3, 'info-response': 1, 'cursor': 2, 'set_deflate': 1, 'ping_echo': 2, 'startup-complete': 1, 'new-window': 1, 'window-icon': 1}
client.connection.output.packetcount : 18
client.connection.output.raw_packetcount : 26
client.connection.receive_alias.1 : connection-lost
client.connection.receive_alias.10 : command_request
client.connection.receive_alias.11 : damage-sequence
client.connection.receive_alias.12 : set-cursors
client.connection.receive_alias.13 : set-keyboard-sync-enabled
client.connection.receive_alias.14 : suspend
client.connection.receive_alias.15 : encoding
client.connection.receive_alias.16 : desktop_size
client.connection.receive_alias.17 : focus
client.connection.receive_alias.18 : unmap-window
client.connection.receive_alias.19 : keymap-changed
client.connection.receive_alias.2 : gibberish
client.connection.receive_alias.20 : jpeg-quality
client.connection.receive_alias.21 : min-speed
client.connection.receive_alias.22 : connection-lost
client.connection.receive_alias.23 : shutdown-server
client.connection.receive_alias.24 : speed
client.connection.receive_alias.25 : close-window
client.connection.receive_alias.26 : exit-server
client.connection.receive_alias.27 : server-settings
client.connection.receive_alias.28 : disconnect
client.connection.receive_alias.29 : quality
client.connection.receive_alias.3 : hello
client.connection.receive_alias.30 : invalid
client.connection.receive_alias.31 : set_deflate
client.connection.receive_alias.32 : key-repeat
client.connection.receive_alias.33 : layout-changed
client.connection.receive_alias.34 : sound-control
client.connection.receive_alias.35 : screenshot
client.connection.receive_alias.36 : resume
client.connection.receive_alias.37 : sound-data
client.connection.receive_alias.38 : pointer-position
client.connection.receive_alias.39 : button-action
client.connection.receive_alias.4 : invalid
client.connection.receive_alias.40 : map-window
client.connection.receive_alias.41 : buffer-refresh
client.connection.receive_alias.42 : force-ungrab
client.connection.receive_alias.43 : info-request
client.connection.receive_alias.44 : rpc
client.connection.receive_alias.45 : configure-window
client.connection.receive_alias.46 : min-quality
client.connection.receive_alias.47 : gibberish
client.connection.receive_alias.48 : hello
client.connection.receive_alias.49 : key-action
client.connection.receive_alias.5 : set-notify
client.connection.receive_alias.6 : set-bell
client.connection.receive_alias.7 : set-clipboard-enabled
client.connection.receive_alias.8 : ping_echo
client.connection.receive_alias.9 : ping
client.connection.receive_alias.buffer-refresh : 41
client.connection.receive_alias.button-action : 39
client.connection.receive_alias.close-window : 25
client.connection.receive_alias.command_request : 10
client.connection.receive_alias.configure-window : 45
client.connection.receive_alias.connection-lost : 22
client.connection.receive_alias.damage-sequence : 11
client.connection.receive_alias.desktop_size : 16
client.connection.receive_alias.disconnect : 28
client.connection.receive_alias.encoding : 15
client.connection.receive_alias.exit-server : 26
client.connection.receive_alias.focus : 17
client.connection.receive_alias.force-ungrab : 42
client.connection.receive_alias.gibberish : 47
client.connection.receive_alias.hello : 48
client.connection.receive_alias.info-request : 43
client.connection.receive_alias.invalid : 30
client.connection.receive_alias.jpeg-quality : 20
client.connection.receive_alias.key-action : 49
client.connection.receive_alias.key-repeat : 32
client.connection.receive_alias.keymap-changed : 19
client.connection.receive_alias.layout-changed : 33
client.connection.receive_alias.map-window : 40
client.connection.receive_alias.min-quality : 46
client.connection.receive_alias.min-speed : 21
client.connection.receive_alias.ping : 9
client.connection.receive_alias.ping_echo : 8
client.connection.receive_alias.pointer-position : 38
client.connection.receive_alias.quality : 29
client.connection.receive_alias.resume : 36
client.connection.receive_alias.rpc : 44
client.connection.receive_alias.screenshot : 35
client.connection.receive_alias.server-settings : 27
client.connection.receive_alias.set-bell : 6
client.connection.receive_alias.set-clipboard-enabled : 7
client.connection.receive_alias.set-cursors : 12
client.connection.receive_alias.set-keyboard-sync-enabled : 13
client.connection.receive_alias.set-notify : 5
client.connection.receive_alias.set_deflate : 31
client.connection.receive_alias.shutdown-server : 23
client.connection.receive_alias.sound-control : 34
client.connection.receive_alias.sound-data : 37
client.connection.receive_alias.speed : 24
client.connection.receive_alias.suspend : 14
client.connection.receive_alias.unmap-window : 18
client.connection.send_alias.1   : lost-window
client.connection.send_alias.10  : notify_show
client.connection.send_alias.11  : new-window
client.connection.send_alias.12  : hello
client.connection.send_alias.13  : window-metadata
client.connection.send_alias.14  : disconnect
client.connection.send_alias.15  : pointer-ungrab
client.connection.send_alias.16  : challenge
client.connection.send_alias.17  : invalid
client.connection.send_alias.18  : set_deflate
client.connection.send_alias.19  : pointer-grab
client.connection.send_alias.2   : configure-override-redirect
client.connection.send_alias.20  : connection-lost
client.connection.send_alias.21  : gibberish
client.connection.send_alias.3   : draw
client.connection.send_alias.4   : notify_close
client.connection.send_alias.5   : bell
client.connection.send_alias.6   : new-override-redirect
client.connection.send_alias.7   : ping
client.connection.send_alias.8   : cursor
client.connection.send_alias.9   : ping_echo
client.connection.send_alias.bell : 5
client.connection.send_alias.challenge : 16
client.connection.send_alias.configure-override-redirect : 2
client.connection.send_alias.connection-lost : 20
client.connection.send_alias.cursor : 8
client.connection.send_alias.disconnect : 14
client.connection.send_alias.draw : 3
client.connection.send_alias.gibberish : 21
client.connection.send_alias.hello : 12
client.connection.send_alias.invalid : 17
client.connection.send_alias.lost-window : 1
client.connection.send_alias.new-override-redirect : 6
client.connection.send_alias.new-window : 11
client.connection.send_alias.notify_close : 4
client.connection.send_alias.notify_show : 10
client.connection.send_alias.ping : 7
client.connection.send_alias.ping_echo : 9
client.connection.send_alias.pointer-grab : 19
client.connection.send_alias.pointer-ungrab : 15
client.connection.send_alias.set_deflate : 18
client.connection.send_alias.window-metadata : 13
client.connection.type           : unix-domain
client.connection_time           : 1408588553
client.cursors                   : True
client.desktop_size              : (3072, 1080)
client.elapsed_time              : 13
client.encoding.PIL.version      : 2.5.1
client.encoding.avcodec2.version : (55, 34, 1)
client.encoding.client_options   : 1
client.encoding.csc_atoms        : 1
client.encoding.csc_modes        : ('YUV422P', 'GBRP', 'RGB', 'YUV420P', 'BGRA', 'ARGB', 'YUV444P')
client.encoding.cython.version   : (0, 3, '0', '20', '2')
client.encoding.dec_webp.version : (0, 4, 0)
client.encoding.default          : h264
client.encoding.enc_webp.version : (0, 4, 0)
client.encoding.full_csc_modes   : {'h264': ('ARGB', 'BGRA', 'GBRP', 'RGB', 'YUV420P', 'YUV422P', 'YUV444P'), 'vp9': ('YUV420P', 'YUV422P', 'YUV444P'), 'vp8': ('YUV420P',)}
client.encoding.generic          : 1
client.encoding.h264.I420.profile : high10
client.encoding.h264.YUV420P.profile : high10
client.encoding.initial_quality  : 30
client.encoding.min-quality      : 30
client.encoding.min-speed        : 0
client.encoding.rgb24zlib        : 1
client.encoding.rgb_lz4          : 1
client.encoding.rgb_lzo          : 1
client.encoding.rgb_zlib         : 1
client.encoding.speed            : 0
client.encoding.supports_delta   : ('png', 'rgb24', 'rgb32')
client.encoding.swscale.version  : (2, 1, 2)
client.encoding.transparency     : 1
client.encoding.uses_swscale     : 1
client.encoding.video_reinit     : 1
client.encoding.video_scaling    : 1
client.encoding.video_separateplane : 1
client.encoding.video_subregion  : 1
client.encoding.vpx.version      : v1.3.0
client.encoding.webp_leaks       : 0
client.encoding.x264.I420.profile : high10
client.encoding.x264.YUV420P.profile : high10
client.encoding.x264.version     : 142
client.encodings                 : ('h264', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb', 'jpeg', 'vp9')
client.encodings.core            : ('h264', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb24', 'jpeg', 'vp9', 'rgb32', 'rgb')
client.generic_window_types      : True
client.hostname                  : debness
client.idle_time                 : 13
client.lz4                       : True
client.lzo                       : True
client.machine                   : x86_64
client.microphone.state          : disabled
client.named_cursors             : True
client.namespace                 : True
client.notifications             : True
client.notify_startup_complete   : True
client.platform                  : linux2
client.platform_name             : Linux
client.processor                 : 
client.proxy                     : False
client.randr_notify              : True
client.raw_window_icons          : True
client.release                   : 3.14-2-amd64
client.screen[0].display         : :0.0
client.screen[0].monitor[0].geometry : (0, 48, 1152, 864)
client.screen[0].monitor[0].name : CRT2
client.screen[0].monitor[0].size_mm : (312, 234)
client.screen[0].monitor[1].geometry : (1152, 0, 1920, 1080)
client.screen[0].monitor[1].name : DFP4
client.screen[0].monitor[1].size_mm : (510, 287)
client.screen[0].size            : (3072, 1080)
client.screen[0].size_mm         : (812, 285)
client.screen[0].workarea        : (0, 36, 3072, 1044)
client.screens                   : 1
client.server_window_resize      : True
client.share                     : False
client.speaker.state             : disabled
client.suspended                 : False
client.system_tray               : True
client.type                      : Python/Gtk2
client.uuid                      : 9efd47b1dfce1a65b77224cbc61caff004d6e8f8
client.version                   : 0.14.1
client.windows                   : True
clients                          : 0
clients.unauthenticated          : 0
clipboard.CLIPBOARD.blocked_owner_change : False
clipboard.CLIPBOARD.enabled      : True
clipboard.CLIPBOARD.event.get_contents : 0
clipboard.CLIPBOARD.event.got_token : 2
clipboard.CLIPBOARD.event.request_contents : 1
clipboard.CLIPBOARD.event.selection_clear : 0
clipboard.CLIPBOARD.event.selection_get : 1
clipboard.CLIPBOARD.event.selection_request : 1
clipboard.CLIPBOARD.event.sent_token : 0
clipboard.CLIPBOARD.greedy_client : False
clipboard.CLIPBOARD.have_token   : True
clipboard.PRIMARY.blocked_owner_change : False
clipboard.PRIMARY.enabled        : True
clipboard.PRIMARY.event.get_contents : 2
clipboard.PRIMARY.event.got_token : 3
clipboard.PRIMARY.event.request_contents : 0
clipboard.PRIMARY.event.selection_clear : 1
clipboard.PRIMARY.event.selection_get : 0
clipboard.PRIMARY.event.selection_request : 0
clipboard.PRIMARY.event.sent_token : 0
clipboard.PRIMARY.greedy_client  : False
clipboard.PRIMARY.have_token     : True
clipboard.SECONDARY.blocked_owner_change : False
clipboard.SECONDARY.enabled      : True
clipboard.SECONDARY.event.get_contents : 0
clipboard.SECONDARY.event.got_token : 2
clipboard.SECONDARY.event.request_contents : 0
clipboard.SECONDARY.event.selection_clear : 0
clipboard.SECONDARY.event.selection_get : 0
clipboard.SECONDARY.event.selection_request : 0
clipboard.SECONDARY.event.sent_token : 0
clipboard.SECONDARY.greedy_client : False
clipboard.SECONDARY.have_token   : True
clipboard.filters                : ()
clipboard.max_size               : 4194304
clipboard.pending                : ()
clipboard.requests               : 1
clipboard.type                   : GDKClipboardProtocolHelper
clipboard.want_targets           : False
csc.BGRX_to_BGR                  : ('swscale',)
csc.BGRX_to_GBRP                 : ('swscale',)
csc.BGRX_to_RGB                  : ('swscale',)
csc.BGRX_to_XRGB                 : ('swscale',)
csc.BGRX_to_YUV420P              : ('swscale', 'cython')
csc.BGRX_to_YUV422P              : ('swscale',)
csc.BGRX_to_YUV444P              : ('swscale',)
csc.BGR_to_BGRX                  : ('swscale',)
csc.BGR_to_GBRP                  : ('swscale',)
csc.BGR_to_RGB                   : ('swscale',)
csc.BGR_to_XRGB                  : ('swscale',)
csc.BGR_to_YUV420P               : ('swscale',)
csc.BGR_to_YUV422P               : ('swscale',)
csc.BGR_to_YUV444P               : ('swscale',)
csc.GBRP_to_BGR                  : ('swscale',)
csc.GBRP_to_BGRX                 : ('swscale', 'cython')
csc.GBRP_to_RGB                  : ('swscale',)
csc.GBRP_to_RGBX                 : ('cython',)
csc.GBRP_to_XRGB                 : ('swscale',)
csc.GBRP_to_YUV420P              : ('swscale',)
csc.GBRP_to_YUV422P              : ('swscale',)
csc.GBRP_to_YUV444P              : ('swscale',)
csc.RGB_to_BGR                   : ('swscale',)
csc.RGB_to_BGRX                  : ('swscale',)
csc.RGB_to_GBRP                  : ('swscale',)
csc.RGB_to_XRGB                  : ('swscale',)
csc.RGB_to_YUV420P               : ('swscale',)
csc.RGB_to_YUV422P               : ('swscale',)
csc.RGB_to_YUV444P               : ('swscale',)
csc.XRGB_to_BGR                  : ('swscale',)
csc.XRGB_to_BGRX                 : ('swscale',)
csc.XRGB_to_GBRP                 : ('swscale',)
csc.XRGB_to_RGB                  : ('swscale',)
csc.XRGB_to_YUV420P              : ('swscale',)
csc.XRGB_to_YUV422P              : ('swscale',)
csc.XRGB_to_YUV444P              : ('swscale',)
csc.YUV420P_to_BGR               : ('swscale',)
csc.YUV420P_to_BGRX              : ('swscale', 'cython')
csc.YUV420P_to_GBRP              : ('swscale',)
csc.YUV420P_to_RGB               : ('swscale',)
csc.YUV420P_to_RGBX              : ('cython',)
csc.YUV420P_to_XRGB              : ('swscale',)
csc.YUV420P_to_YUV422P           : ('swscale',)
csc.YUV420P_to_YUV444P           : ('swscale',)
csc.YUV422P_to_BGR               : ('swscale',)
csc.YUV422P_to_BGRX              : ('swscale',)
csc.YUV422P_to_GBRP              : ('swscale',)
csc.YUV422P_to_RGB               : ('swscale',)
csc.YUV422P_to_XRGB              : ('swscale',)
csc.YUV422P_to_YUV420P           : ('swscale',)
csc.YUV422P_to_YUV444P           : ('swscale',)
csc.YUV444P_to_BGR               : ('swscale',)
csc.YUV444P_to_BGRX              : ('swscale',)
csc.YUV444P_to_GBRP              : ('swscale',)
csc.YUV444P_to_RGB               : ('swscale',)
csc.YUV444P_to_XRGB              : ('swscale',)
csc.YUV444P_to_YUV420P           : ('swscale',)
csc.YUV444P_to_YUV422P           : ('swscale',)
cursor.default_size              : 21
cursor.height                    : 16
cursor.is_default                : True
cursor.max_size                  : (64, 64)
cursor.name                      : 
cursor.serial                    : 1
cursor.width                     : 16
cursor.x                         : 1928
cursor.xhot                      : 7
cursor.y                         : 154
cursor.yhot                      : 7
damage.compression_queue.size.current : 0
damage.data_queue.size.50p       : 0
damage.data_queue.size.80p       : 0
damage.data_queue.size.90p       : 0
damage.data_queue.size.avg       : 0
damage.data_queue.size.cur       : 0
damage.data_queue.size.max       : 0
damage.data_queue.size.min       : 0
damage.events                    : 3
damage.in_latency.90p            : 208
damage.in_latency.avg            : 104
damage.in_latency.cur            : 0
damage.in_latency.max            : 208
damage.in_latency.min            : 0
damage.out_latency.90p           : 219
damage.out_latency.avg           : 110
damage.out_latency.cur           : 1
damage.out_latency.max           : 219
damage.out_latency.min           : 1
damage.packet_queue.size.50p     : 0
damage.packet_queue.size.80p     : 0
damage.packet_queue.size.90p     : 0
damage.packet_queue.size.avg     : 0
damage.packet_queue.size.cur     : 0
damage.packet_queue.size.current : 0
damage.packet_queue.size.max     : 0
damage.packet_queue.size.min     : 0
damage.packets_sent              : 2
encoding.BGRA_to_h264            : ('x264',)
encoding.BGRX_to_h264            : ('x264',)
encoding.BGR_to_h264             : ('x264',)
encoding.PIL.version             : 2.5.1
encoding.RGB_to_h264             : ('x264',)
encoding.YUV420P_to_h264         : ('x264',)
encoding.YUV420P_to_vp8          : ('vpx',)
encoding.YUV422P_to_h264         : ('x264',)
encoding.YUV444P_to_h264         : ('x264',)
encoding.avcodec2.version        : (55, 34, 1)
encoding.average_region_size     : 506553
encoding.csc-module.cython       : active
encoding.csc-module.swscale      : active
encoding.cython.version          : (0, 3, '0', '20', '2')
encoding.dec_webp.version        : (0, 4, 0)
encoding.enc_webp.version        : (0, 4, 0)
encoding.pixels_decoded_per_second : 19493323
encoding.pixels_encoded_per_second : 4861758
encoding.pixels_per_second       : 296221
encoding.regions_per_second      : 0
encoding.swscale.version         : (2, 1, 2)
encoding.video-encoder.vpx       : active
encoding.video-encoder.x264      : active
encoding.vpx.version             : v1.3.0
encoding.x264.version            : 142
encodings                        : ('rgb', 'h264', 'vp8', 'png', 'png/L', 'png/P', 'jpeg', 'webp')
encodings.allowed                : ('h264', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb', 'rgb24', 'rgb32', 'jpeg', 'h265', 'vp9')
encodings.core                   : ('rgb24', 'rgb32', 'h264', 'vp8', 'png', 'png/L', 'png/P', 'jpeg', 'webp')
encodings.lossless               : ('rgb24', 'rgb32', 'png', 'png/L', 'png/P', 'webp')
encodings.problematic            : ()
encodings.with_lossless_mode     : ('webp',)
encodings.with_quality           : ('h264', 'vp8', 'jpeg', 'webp')
encodings.with_speed             : ('h264', 'vp8', 'png', 'png/L', 'png/P')
features.bell                    : True
features.change-min-quality      : True
features.change-min-speed        : True
features.change-quality          : True
features.change-speed            : True
features.client_window_properties : True
features.clipboard               : True
features.command_request         : True
features.cursors                 : True
features.dbus_proxy              : True
features.encoding.generic        : True
features.encoding.strict_control : True
features.event_request           : True
features.notifications           : True
features.notify-startup-complete : True
features.pulseaudio              : True
features.randr                   : True
features.server-events           : True
features.sound.server_driven     : True
features.sound_sequence          : True
features.suspend-resume          : True
features.toggle_cursors_bell_notify : True
features.toggle_keyboard_sync    : True
features.window_configure        : True
features.window_refresh_config   : True
features.window_unmap            : True
features.xsettings-tuple         : True
keyboard.enabled                 : True
network.bencode                  : True
network.bencode.version          : ('Cython', 0, 11)
network.chunked_compression      : True
network.compressors              : ('zlib', 'lz4', 'lzo')
network.digest                   : ('hmac', 'xor')
network.encoders                 : ('bencode', 'rencode')
network.lz4                      : True
network.lzo                      : True
network.lzo.version              : 2.08
network.mmap                     : True
network.pycrypto                 : True
network.pycrypto.fastmath        : True
network.pycrypto.version         : 2.6.1
network.raw_packets              : True
network.rencode                  : True
network.rencode.version          : ('Cython', 1, 0, 2)
network.yaml                     : False
network.zlib                     : True
network.zlib.version             : 1.0
server.XShm                      : True
server.authenticator             : 
server.build.bit                 : 64bit
server.build.by                  : pbuilder
server.build.compiler            : gcc (Debian 4.9.1-6) 4.9.1
server.build.cpu                 : Intel(R) Core(TM) i7-4820K CPU @ 3.70GHz
server.build.cython              : 0.20.2
server.build.date                : 2014-08-21
server.build.linker              : GNU ld (GNU Binutils for Debian) 2.24.51.20140818
server.build.local_modifications : 0.14.1+dfsg-1
server.build.on                  : deblab
server.build.python              : (2, 7, 8)
server.build.revision            : 7376
server.build.time                : 01:16
server.build.version             : 0.14.1
server.byteorder                 : little
server.cairo.version             : 1.8.8
server.display                   : :33
server.fakeXinerama              : True
server.gdk.version               : 2.24.0
server.gid                       : 1100
server.glib.version              : (2, 40, 0)
server.gobject.version           : (2, 28, 6)
server.gtk.version               : (2, 24, 10)
server.hostname                  : debhive
server.libfakeXinerama           : /usr/lib/xpra/libfakeXinerama.so.1.0
server.max_desktop_size          : (8192, 4096)
server.mode                      : server
server.pango.version             : 1.36.3
server.pid                       : 49110
server.platform                  : linux2
server.platform.linux_distribution : ('debian', '7.6', '')
server.platform.machine          : x86_64
server.platform.name             : Linux
server.platform.platform         : Linux-3.14-0.bpo.1-amd64-x86_64-with-debian-7.6
server.platform.processor        : 
server.platform.release          : 3.14-0.bpo.1-amd64
server.pygtk.version             : (2, 24, 0)
server.python.full_version       : 2.7.8 (default, Jul 26 2014, 15:25:14) \n[GCC 4.9.1]
server.python.version            : 2.7.8
server.randr.options             : ((8192, 4096), (5496, 1200), (5280, 1200), (5280, 1080), (5120, 3200), (4800, 1200), (3840, 2880), (3840, 2560), (3840, 2048), (3840, 1200), (3840, 1080), (3600, 1200), (3600, 1080), (3520, 1196), (3288, 1080), (2728, 1680), (2560, 1600), (2560, 1440), (2048, 2048), (2048, 1536), (2048, 1152), (1920, 1440), (1920, 1200), (1920, 1080), (1856, 1392), (1792, 1344), (1680, 1050), (1600, 1200), (1600, 900), (1440, 900), (1400, 1050), (1366, 768), (1360, 768), (1280, 1024), (1280, 960), (1280, 800), (1280, 768), (1280, 762), (1280, 720), (1280, 682), (1152, 864), (1024, 768), (1024, 730), (1024, 600), (1024, 562), (960, 720), (960, 536), (960, 498), (928, 696), (896, 672), (848, 480), (848, 442), (840, 525), (832, 624), (800, 1280), (800, 1242), (800, 600), (800, 562), (800, 480), (768, 1024), (768, 986), (720, 1280), (720, 1242), (720, 450), (720, 400), (700, 525), (680, 384), (640, 512), (640, 480), (640, 400), (640, 350), (600, 1024), (600, 986), (600, 800), (600, 762), (576, 432), (536, 960), (536, 922), (512, 384), (480, 854), (480, 810), (480, 800), (480, 762), (416, 312), (400, 300), (360, 200), (320, 240), (320, 200), (320, 175))
server.root_window_size          : (3288, 1080)
server.start_time                : 1408587568
server.type                      : Python/gtk/x11
server.uid                       : 1100
state.modifiers                  : ()
threads.0                        : MainThread
threads.1                        : Worker_Thread
threads.2                        : encode
threads.count                    : 3
threads.info.count               : 4
threads.info[0]                  : write
threads.info[1]                  : read
threads.info[2]                  : parse
threads.info[3]                  : format
threads.memory.children.idrss    : 0
threads.memory.children.inblock  : 0
threads.memory.children.isrss    : 0
threads.memory.children.ixrss    : 0
threads.memory.children.majflt   : 0
threads.memory.children.maxrss   : 30892
threads.memory.children.minflt   : 2191
threads.memory.children.msgrcv   : 0
threads.memory.children.msgsnd   : 0
threads.memory.children.nivcsw   : 5
threads.memory.children.nsignals : 0
threads.memory.children.nswap    : 0
threads.memory.children.nvcsw    : 28
threads.memory.children.oublock  : 0
threads.memory.children.stime    : 0
threads.memory.children.utime    : 0
threads.memory.server.idrss      : 0
threads.memory.server.inblock    : 0
threads.memory.server.isrss      : 0
threads.memory.server.ixrss      : 0
threads.memory.server.majflt     : 0
threads.memory.server.maxrss     : 196988
threads.memory.server.minflt     : 76076
threads.memory.server.msgrcv     : 0
threads.memory.server.msgsnd     : 0
threads.memory.server.nivcsw     : 192
threads.memory.server.nsignals   : 0
threads.memory.server.nswap      : 0
threads.memory.server.nvcsw      : 57665
threads.memory.server.oublock    : 80
threads.memory.server.stime      : 2
threads.memory.server.utime      : 19
window[1].batch.actual_delay.90p : 50
window[1].batch.actual_delay.avg : 21
window[1].batch.actual_delay.cur : 6
window[1].batch.actual_delay.max : 50
window[1].batch.actual_delay.min : 6
window[1].batch.client-decode-speed : (34, 38)
window[1].batch.client-decode-speed.avg : 53
window[1].batch.client-decode-speed.recent : 53
window[1].batch.client-latency   : (52, 9)
window[1].batch.client-latency.aim : 800
window[1].batch.client-latency.aimed_avg : 280
window[1].batch.client-latency.avg : 12
window[1].batch.client-latency.div : 1000
window[1].batch.client-latency.recent : 4
window[1].batch.client-latency.smoothing : sqrt
window[1].batch.client-latency.target : 6
window[1].batch.client-latency.weight_multiplier : 140
window[1].batch.client-ping-latency : (59, 4)
window[1].batch.client-ping-latency.aim : 949
window[1].batch.client-ping-latency.aimed_avg : 350
window[1].batch.client-ping-latency.avg : 2
window[1].batch.client-ping-latency.div : 1000
window[1].batch.client-ping-latency.recent : 2
window[1].batch.client-ping-latency.smoothing : sqrt
window[1].batch.client-ping-latency.target : 7
window[1].batch.client-ping-latency.weight_multiplier : 72
window[1].batch.compression-work-queue : (0, 0)
window[1].batch.compression-work-queue.aim : 250
window[1].batch.compression-work-queue.aimed_avg : 0
window[1].batch.compression-work-queue.avg : 0
window[1].batch.compression-work-queue.div : 1000
window[1].batch.compression-work-queue.recent : 0
window[1].batch.compression-work-queue.smoothing : logp
window[1].batch.compression-work-queue.target : 1000
window[1].batch.compression-work-queue.weight_multiplier : 0
window[1].batch.damage-network-delay : (15, 67)
window[1].batch.damage-network-delay.avg : 4
window[1].batch.damage-network-delay.recent : 1
window[1].batch.damage-packet-queue-pixels : (0, 0)
window[1].batch.damage-packet-queue-pixels.aim : 250
window[1].batch.damage-packet-queue-pixels.aimed_avg : 0
window[1].batch.damage-packet-queue-pixels.avg : 0
window[1].batch.damage-packet-queue-pixels.div : 1012987000
window[1].batch.damage-packet-queue-pixels.recent : 0
window[1].batch.damage-packet-queue-pixels.smoothing : sqrt
window[1].batch.damage-packet-queue-pixels.target : 1000
window[1].batch.damage-packet-queue-pixels.weight_multiplier : 0
window[1].batch.damage-rate      : (73, 51)
window[1].batch.damage-rate.elapsed : 467
window[1].batch.damage-rate.max_latency : 100
window[1].batch.delay.50p        : 11
window[1].batch.delay.80p        : 28
window[1].batch.delay.90p        : 28
window[1].batch.delay.avg        : 13
window[1].batch.delay.cur        : 6
window[1].batch.delay.max        : 28
window[1].batch.delay.min        : 6
window[1].batch.focus            : (100, 0)
window[1].batch.focus.has_focus  : False
window[1].batch.fullscreen       : (0, 0)
window[1].batch.fullscreen.other_is_fullscreen : False
window[1].batch.locked           : False
window[1].batch.max-delay        : 500
window[1].batch.maximized        : (0, 0)
window[1].batch.maximized.other_is_maximized : False
window[1].batch.min-delay        : 5
window[1].batch.override-redirect : (100, 0)
window[1].batch.override-redirect.is_OR : False
window[1].batch.packet-queue-pixels : (0, 0)
window[1].batch.packet-queue-pixels.aim : 250
window[1].batch.packet-queue-pixels.aimed_avg : 0
window[1].batch.packet-queue-pixels.avg : 0
window[1].batch.packet-queue-pixels.div : 1012987000
window[1].batch.packet-queue-pixels.recent : 0
window[1].batch.packet-queue-pixels.smoothing : sqrt
window[1].batch.packet-queue-pixels.target : 1000
window[1].batch.packet-queue-pixels.weight_multiplier : 0
window[1].batch.packet-queue-size : (0, 0)
window[1].batch.packet-queue-size.aim : 250
window[1].batch.packet-queue-size.aimed_avg : 0
window[1].batch.packet-queue-size.avg : 0
window[1].batch.packet-queue-size.div : 1000
window[1].batch.packet-queue-size.recent : 0
window[1].batch.packet-queue-size.smoothing : sqrt
window[1].batch.packet-queue-size.target : 1000
window[1].batch.packet-queue-size.weight_multiplier : 0
window[1].batch.server-ping-latency : (40, 4)
window[1].batch.server-ping-latency.aim : 949
window[1].batch.server-ping-latency.aimed_avg : 162
window[1].batch.server-ping-latency.avg : 1
window[1].batch.server-ping-latency.div : 1000
window[1].batch.server-ping-latency.recent : 1
window[1].batch.server-ping-latency.smoothing : sqrt
window[1].batch.server-ping-latency.target : 6
window[1].batch.server-ping-latency.weight_multiplier : 56
window[1].batch.soft-expired     : (0, 0)
window[1].batch.soft-expired.count : 0
window[1].batch.timeout-delay    : 15000
window[1].damage.events          : 3
window[1].damage.in_latency.90p  : 208
window[1].damage.in_latency.avg  : 104
window[1].damage.in_latency.cur  : 0
window[1].damage.in_latency.max  : 208
window[1].damage.in_latency.min  : 0
window[1].damage.out_latency.90p : 219
window[1].damage.out_latency.avg : 110
window[1].damage.out_latency.cur : 1
window[1].damage.out_latency.max : 219
window[1].damage.out_latency.min : 1
window[1].damage.packets_sent    : 2
window[1].dimensions             : (1271, 797)
window[1].encoding               : webp
window[1].encoding.last_used     : webp
window[1].encoding.lossless_threshold.base : 93
window[1].encoding.lossless_threshold.pixel_boost : 20
window[1].encoding.mmap          : False
window[1].encoding.pixels_encoded_per_second : 4861758
window[1].encoding.pixels_encoded_per_second[webp] : 4861758
window[1].encoding.pixels_per_ns.avg : 205
window[1].encoding.pixels_per_ns.max : 3548
window[1].encoding.pixels_per_ns.min : 205
window[1].encoding.pixels_per_ns[webp].avg : 205
window[1].encoding.pixels_per_ns[webp].max : 3548
window[1].encoding.pixels_per_ns[webp].min : 205
window[1].encoding.quality.50p   : 99
window[1].encoding.quality.80p   : 99
window[1].encoding.quality.90p   : 99
window[1].encoding.quality.avg   : 99
window[1].encoding.quality.backlog_factor : 100
window[1].encoding.quality.batch_factor : 357
window[1].encoding.quality.cur   : 99
window[1].encoding.quality.latency_factor : 2133
window[1].encoding.quality.max   : 99
window[1].encoding.quality.min   : 99
window[1].encoding.quality.min_quality : 30
window[1].encoding.ratio_pct.avg : 19
window[1].encoding.ratio_pct.max : 78
window[1].encoding.ratio_pct.min : 19
window[1].encoding.ratio_pct[webp].avg : 19
window[1].encoding.ratio_pct[webp].max : 78
window[1].encoding.ratio_pct[webp].min : 19
window[1].encoding.rgb_threshold : 162201
window[1].encoding.speed.50p     : 89
window[1].encoding.speed.80p     : 90
window[1].encoding.speed.90p     : 90
window[1].encoding.speed.avg     : 80
window[1].encoding.speed.cur     : 90
window[1].encoding.speed.damage_latency.abs_factor : 26
window[1].encoding.speed.damage_latency.avg : 72
window[1].encoding.speed.damage_latency.ref : 35
window[1].encoding.speed.damage_latency.rel_factor : 183
window[1].encoding.speed.damage_latency.target : 35
window[1].encoding.speed.decoding_latency.factor : 40
window[1].encoding.speed.decoding_latency.target : 8000000
window[1].encoding.speed.frame_delay : 5
window[1].encoding.speed.low_limit : 1012987
window[1].encoding.speed.max     : 90
window[1].encoding.speed.min     : 46
window[1].encoding.speed.min_speed : 0
window[1].property.fullscreen    : False
window[1].property.min_quality   : 30
window[1].property.min_speed     : 0
window[1].property.quality       : 0
window[1].property.scaling       : (1, 1)
window[1].property.speed         : 0
window[1].suspended              : False
window[1].total_frames[webp]     : 2
window[1].total_pixels[webp]     : 1013107
windows                          : 1

Attachments (1)

xpra-webp-konsole-no_opengl.png (214.9 KB) - added by onlyjob 6 years ago.

Download all attachments as: .zip

Change History (24)

comment:1 Changed 6 years ago by onlyjob

Not sure if it is related but also konsole window content is not refreshed on encoding change. I have to resize window to see its content after encoding change...

Last edited 6 years ago by onlyjob (previous) (diff)

comment:2 Changed 6 years ago by Antoine Martin

Noticed on current Debian "testing". OpenGL is disabled.


Why is that? Running the gl_check.py script should tell you.


Can you post a screenshot of the corruption you're seeing?
It sounds to me like something funny is going on with Jessie and webp, we'll probably merge this ticket with #650.

comment:3 in reply to:  2 Changed 6 years ago by onlyjob

Replying to totaam:

Noticed on current Debian "testing". OpenGL is disabled.


Why is that? Running the gl_check.py script should tell you.


I should have written "OpenGL is manually disabled". I was working from that workstation with "Radeon HD 5770" that doesn't like spinners with OpenGL...

Earlier today I had impression that OpenGL did not make a difference but now I'm working from another machine where problem manifests only when OpenGL is disabled. Attaching screenshot...

Changed 6 years ago by onlyjob

comment:4 in reply to:  2 Changed 6 years ago by onlyjob

Replying to totaam:

It sounds to me like something funny is going on with Jessie and webp, we'll probably merge this ticket with #650.


I just reproduced with 0.13.9/no-opengl so it is not a regression (at least) as I suspected...
I reckon I missed it because most of the time OpenGL is enabled so it's hard to tell when problem appeared...

comment:5 Changed 6 years ago by Antoine Martin

Whoa, that's very weird, that's what happens when you parse rgb24 (24-bit packed) as rgb32. I only have opengl disabled since it doesn't play nice with virtualbox, and I'm not seeing it on Debian Sid or any other distro for that matter.

comment:6 Changed 6 years ago by Antoine Martin

Owner: changed from Antoine Martin to Antoine Martin
Status: newassigned

Scratch that: I can reproduce it. It requires a Debian server and a Debian client. WTH?
Any other combination does not show the bug!?

comment:7 Changed 6 years ago by Antoine Martin

Bad day at the office, scratch that again: Debian client side is the problem. I can reproduce with a Fedora server (why didn't I hit it before - that's what I test most often) - which makes more sense.

comment:8 Changed 6 years ago by Antoine Martin

Scratch that again, now I am seeing it on Fedora too. WTH?

xpra start :10 --start-child=konsole
xpra attach --no-mmap --encoding=webp --opengl=no

Sorry, but I think I need a holiday.

Last edited 6 years ago by Antoine Martin (previous) (diff)

comment:9 Changed 6 years ago by Antoine Martin

This bug has been present for a while, I wonder why no-one noticed. It should have been visible with opengl disabled.

Anyway, fixed in r7402. Will backport. This fixes the konsole painting only, not #650.

(Minimal fix, I may do a bit more in trunk because this code makes some assumptions I don't like)

Last edited 6 years ago by Antoine Martin (previous) (diff)

comment:10 in reply to:  9 Changed 6 years ago by onlyjob

Replying to totaam:

This bug has been present for a while, I wonder why no-one noticed. It should have been visible with opengl disabled.


It is strange... WebP is awesome and I've been using it a lot over ~60 KiB/sec link. Perhaps one thing is to notice and another is to care enough to report and test...

Anyway, fixed in r7402. Will backport. This fixes the konsole painting only, not #650.


Very good! Works for me. Thanks.

comment:11 Changed 6 years ago by Antoine Martin

Resolution: fixed
Status: assignedclosed

Backport in r7408.

WebP is awesome and I've been using it a lot over ~60 KiB/sec link


Beware that it is dreadful at certain sizes (above about 2 megapixels), the performance falls off a cliff.
In video automatic mode, this isn't a problem (we switch to png or rgb for lossless regions / refresh), but when selecting webp as primary encoding... we honour it, and it can get very bad, slideshow refresh rate bad.

Thanks for testing, and sorry for taking so long to reproduce - I don't know how I managed to mess up so badly!

comment:12 Changed 6 years ago by onlyjob

Sorry I just found that this issue is not completely fixed... Earlier today I was testing on system where OpenGL Xpra acceleration is not available. Now I just attached to session using WebP/OpenGL and stripes are visible on Firefox and KMail in OpenGL mode. Without OpenGL all apps including konsole looks good. Could you have a look please?

comment:13 Changed 6 years ago by onlyjob

Resolution: fixed
Status: closedreopened

comment:14 Changed 6 years ago by Antoine Martin

Owner: changed from Antoine Martin to onlyjob
Status: reopenednew

Ouch... let's start again.
I'm not seeing that at all, and I do have opengl enabled (though I can only test on Fedora since virtualbox is a no-go).

A brief exerpt from the client log running with -d paint,opengl would really help.
You should be seeing (only showing the most interesting bits):

process_draw 3388 bytes for window 1 using webp encoding with options={'has_alpha': True, 'quality': 99, 'speed': 76}
draw_region(1, 157, 1160, 30, webp, 3388 bytes, 0, {'has_alpha': True, 'quality': 99, 'speed': 76}, \
    [<function record_decode_time at 0x7ac86e0>, <function after_draw_refresh at 0x7ac8758>])
GLPixmapBacking(1, (1180, 532), None)._do_paint_rgb(32, 139200 bytes, x=1, y=157, width=1160, height=30, rowstride=4640)
record_decode_time(True) wid=1, webp: 1160x30, 4.5ms
after_draw_refresh(True) 1180x532 at 0x0 encoding=webp, options={'has_alpha': True, 'quality': 99, 'speed': 76, 'rgb_format': 'BGRA'}
Last edited 6 years ago by Antoine Martin (previous) (diff)

comment:15 Changed 6 years ago by onlyjob

2014-08-22 20:59:29,766 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:29,766 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:29,766 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:29,766 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:29,766 record_decode_time(True) wid=2, rgb24: 41x51, 2.0ms                                                                                                             
2014-08-22 20:59:29,766 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:29,847 process_draw 1051 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:29,847 draw_region(729, 568, 41, 51, rgb24, 1051 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167d70>, <function after_draw_refresh at 0x7f091c167de8>])                                                                                                                                                             
2014-08-22 20:59:29,847 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:29,847 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191140 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:29,847 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:29,847 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:29,848 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191140 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:29,848 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:29,848 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:29,848 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:29,848 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:29,848 record_decode_time(True) wid=2, rgb24: 41x51, 1.6ms                                                                                                             
2014-08-22 20:59:29,848 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:29,915 process_draw 1738 bytes for window 1 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:29,915 draw_region(328, 2243, 108, 26, rgb24, 1738 bytes, 432, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167d70>, <function after_draw_refresh at 0x7f091c167de8>])                                                                                                                                                           
2014-08-22 20:59:29,915 GLPixmapBacking(1, (1676, 2343), None)._do_paint_rgb(24, 11232 bytes, x=328, y=2243, width=108, height=26, rowstride=432)                                       
2014-08-22 20:59:29,915 GLPixmapBacking(1, (1676, 2343), None).gl_init() GL Pixmap backing size: 1676 x 2343, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191190 (GdkGLWindowImplX11 at 0x1b0f000)>                                                                                                                                                                     
2014-08-22 20:59:29,915 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Switching to RGB paint state)                                                                                  
2014-08-22 20:59:29,916 GLPixmapBacking(1, (1676, 2343), None).gl_marker(BGRX 24bpp update at (328,2243) size 108x26 (11232 bytes), stride=432, row length 0, alignment 8, using GL upload format=BGRA)                                                                                                                                                                         
2014-08-22 20:59:29,916 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191190 (GdkGLWindowImplX11 at 0x1b0f000)>)                                                                                                                                                                            
2014-08-22 20:59:29,916 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Switching to RGB paint state)                                                                                  
2014-08-22 20:59:29,917 GLPixmapBacking(1, (1676, 2343), None).gl_frame_terminator()                                                                                                    
2014-08-22 20:59:29,917 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Switching back to YUV paint state)                                                                             
2014-08-22 20:59:29,917 GLPixmapBacking(1, (1676, 2343), None).present_fbo() done                                                                                                       
2014-08-22 20:59:29,917 record_decode_time(True) wid=1, rgb24: 108x26, 2.0ms                                                                                                            
2014-08-22 20:59:29,917 after_draw_refresh(True) 108x26 at 328x2243 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                            
2014-08-22 20:59:29,967 process_draw 2594 bytes for window 1 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:29,967 draw_region(328, 2128, 168, 26, rgb24, 2594 bytes, 672, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167d70>, <function after_draw_refresh at 0x7f091c167de8>])                                                                                                                                                           
2014-08-22 20:59:29,967 process_draw 1144 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:29,967 GLPixmapBacking(1, (1676, 2343), None)._do_paint_rgb(24, 17472 bytes, x=328, y=2128, width=168, height=26, rowstride=672)                                       
2014-08-22 20:59:29,967 draw_region(729, 568, 41, 51, rgb24, 1144 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167c08>, <function after_draw_refresh at 0x7f091c167aa0>])                                                                                                                                                             
2014-08-22 20:59:29,967 GLPixmapBacking(1, (1676, 2343), None).gl_init() GL Pixmap backing size: 1676 x 2343, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1911e0 (GdkGLWindowImplX11 at 0x1b0f000)>                                                                                                                                                                     
2014-08-22 20:59:29,967 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Switching to RGB paint state)                                                                                  
2014-08-22 20:59:29,968 GLPixmapBacking(1, (1676, 2343), None).gl_marker(BGRX 24bpp update at (328,2128) size 168x26 (17472 bytes), stride=672, row length 0, alignment 8, using GL upload format=BGRA)                                                                                                                                                                         
2014-08-22 20:59:29,968 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1911e0 (GdkGLWindowImplX11 at 0x1b0f000)>)                                                                                                                                                                            
2014-08-22 20:59:29,968 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Switching to RGB paint state)                                                                                  
2014-08-22 20:59:29,968 GLPixmapBacking(1, (1676, 2343), None).gl_frame_terminator()                                                                                                    
2014-08-22 20:59:29,968 GLPixmapBacking(1, (1676, 2343), None).gl_marker(Switching back to YUV paint state)                                                                             
2014-08-22 20:59:29,969 GLPixmapBacking(1, (1676, 2343), None).present_fbo() done                                                                                                       
2014-08-22 20:59:29,969 record_decode_time(True) wid=1, rgb24: 168x26, 1.9ms                                                                                                            
2014-08-22 20:59:29,969 after_draw_refresh(True) 168x26 at 328x2128 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                            
2014-08-22 20:59:29,969 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:29,969 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191230 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:29,969 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:29,969 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:29,969 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191230 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:29,970 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:29,970 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:29,970 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:29,970 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:29,970 record_decode_time(True) wid=2, rgb24: 41x51, 3.4ms                                                                                                             
2014-08-22 20:59:29,971 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:30,326 process_draw 35068 bytes for window 2 using webp encoding with options={'quality': 58, 'speed': 79, 'rgb_format': 'BGRX'}                                       
2014-08-22 20:59:30,327 draw_region(0, 0, 1676, 961, webp, 35068 bytes, 0, {'quality': 58, 'speed': 79, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167aa0>, <function after_draw_refresh at 0x7f091c167c08>])                                                                                                                                              
2014-08-22 20:59:30,335 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(32, 6442544 bytes, x=0, y=0, width=1676, height=961, rowstride=6704)                                        
2014-08-22 20:59:30,335 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191320 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:30,336 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,336 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 32bpp update at (0,0) size 1676x961 (6442544 bytes), stride=6704, row length 0, alignment 8, using GL upload format=BGRA)                                                                                                                                                                          
2014-08-22 20:59:30,337 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191320 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:30,339 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,340 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:30,340 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:30,340 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:30,340 record_decode_time(True) wid=2, webp: 1676x961, 13.2ms                                                                                                          
2014-08-22 20:59:30,340 after_draw_refresh(True) 1676x961 at 0x0 encoding=webp, options={'quality': 58, 'speed': 79, 'rgb_format': 'BGRX'}                                              
2014-08-22 20:59:30,362 process_draw 2289 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:30,362 draw_region(1101, 527, 81, 35, rgb24, 2289 bytes, 324, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167aa0>, <function after_draw_refresh at 0x7f091c167c08>])                                                                                                                                                            
2014-08-22 20:59:30,362 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 11340 bytes, x=1101, y=527, width=81, height=35, rowstride=324)                                         
2014-08-22 20:59:30,363 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191320 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:30,363 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,363 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (1101,527) size 81x35 (11340 bytes), stride=324, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                           
2014-08-22 20:59:30,363 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191320 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:30,363 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,364 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:30,364 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:30,364 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:30,364 record_decode_time(True) wid=2, rgb24: 81x35, 1.5ms                                                                                                             
2014-08-22 20:59:30,364 after_draw_refresh(True) 81x35 at 1101x527 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                             
2014-08-22 20:59:30,939 process_draw 71418 bytes for window 2 using webp encoding with options={'quality': 100, 'speed': 100, 'rgb_format': 'BGRX'}                                     
2014-08-22 20:59:30,939 draw_region(0, 0, 1676, 961, webp, 71418 bytes, 0, {'quality': 100, 'speed': 100, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167aa0>, <function after_draw_refresh at 0x7f091c167c08>])                                                                                                                                            
2014-08-22 20:59:30,955 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(32, 6442544 bytes, x=0, y=0, width=1676, height=961, rowstride=6704)                                        
2014-08-22 20:59:30,956 process_draw 3112 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:30,956 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1912d0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:30,956 draw_region(0, 72, 211, 26, rgb24, 3112 bytes, 844, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                               
2014-08-22 20:59:30,957 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,957 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 32bpp update at (0,0) size 1676x961 (6442544 bytes), stride=6704, row length 0, alignment 8, using GL upload format=BGRA)                                                                                                                                                                          
2014-08-22 20:59:30,959 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1912d0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:30,960 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,960 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:30,960 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:30,961 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:30,961 record_decode_time(True) wid=2, webp: 1676x961, 21.2ms                                                                                                          
2014-08-22 20:59:30,961 after_draw_refresh(True) 1676x961 at 0x0 encoding=webp, options={'quality': 100, 'speed': 100, 'rgb_format': 'BGRX'}                                            
2014-08-22 20:59:30,961 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 21944 bytes, x=0, y=72, width=211, height=26, rowstride=844)                                            
2014-08-22 20:59:30,961 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1912d0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:30,961 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,961 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (0,72) size 211x26 (21944 bytes), stride=844, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                              
2014-08-22 20:59:30,961 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1912d0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:30,962 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,962 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:30,962 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:30,962 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:30,962 record_decode_time(True) wid=2, rgb24: 211x26, 6.1ms                                                                                                            
2014-08-22 20:59:30,962 after_draw_refresh(True) 211x26 at 0x72 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                                
2014-08-22 20:59:30,975 process_draw 1051 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:30,975 draw_region(729, 568, 41, 51, rgb24, 1051 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:30,975 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:30,975 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1912d0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:30,975 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,975 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:30,976 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1912d0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:30,976 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:30,976 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:30,976 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:30,976 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:30,977 record_decode_time(True) wid=2, rgb24: 41x51, 1.7ms                                                                                                             
2014-08-22 20:59:30,977 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:31,049 process_draw 1050 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:31,049 draw_region(729, 568, 41, 51, rgb24, 1050 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:31,049 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:31,049 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191410 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:31,049 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,050 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:31,050 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191410 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:31,050 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,050 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:31,050 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:31,051 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:31,051 record_decode_time(True) wid=2, rgb24: 41x51, 1.5ms                                                                                                             
2014-08-22 20:59:31,051 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:31,216 process_draw 35742 bytes for window 2 using webp encoding with options={'quality': 58, 'speed': 79, 'rgb_format': 'BGRX'}                                       
2014-08-22 20:59:31,216 draw_region(0, 0, 1676, 961, webp, 35742 bytes, 0, {'quality': 58, 'speed': 79, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                              
2014-08-22 20:59:31,224 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(32, 6442544 bytes, x=0, y=0, width=1676, height=961, rowstride=6704)                                        
2014-08-22 20:59:31,225 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1914b0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:31,226 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,226 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 32bpp update at (0,0) size 1676x961 (6442544 bytes), stride=6704, row length 0, alignment 8, using GL upload format=BGRA)                                                                                                                                                                          
2014-08-22 20:59:31,227 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1914b0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:31,230 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,230 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:31,231 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:31,231 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:31,231 record_decode_time(True) wid=2, webp: 1676x961, 14.3ms                                                                                                          
2014-08-22 20:59:31,231 after_draw_refresh(True) 1676x961 at 0x0 encoding=webp, options={'quality': 58, 'speed': 79, 'rgb_format': 'BGRX'}                                              
2014-08-22 20:59:31,256 process_draw 6694 bytes for window 2 using webp encoding with options={'quality': 51, 'speed': 79, 'rgb_format': 'BGRX'}                                        
2014-08-22 20:59:31,256 draw_region(711, 527, 471, 92, webp, 6694 bytes, 0, {'quality': 51, 'speed': 79, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                             
2014-08-22 20:59:31,257 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(32, 173328 bytes, x=711, y=527, width=471, height=92, rowstride=1884)                                       
2014-08-22 20:59:31,257 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1914b0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:31,257 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,258 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 32bpp update at (711,527) size 471x92 (173328 bytes), stride=1884, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                         
2014-08-22 20:59:31,258 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1914b0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:31,258 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,258 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:31,259 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:31,259 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:31,259 record_decode_time(True) wid=2, webp: 471x92, 2.1ms                                                                                                             
2014-08-22 20:59:31,259 after_draw_refresh(True) 471x92 at 711x527 encoding=webp, options={'quality': 51, 'speed': 79, 'rgb_format': 'BGRX'}                                            
2014-08-22 20:59:31,818 process_draw 71374 bytes for window 2 using webp encoding with options={'quality': 100, 'speed': 100, 'rgb_format': 'BGRX'}                                     
2014-08-22 20:59:31,819 draw_region(0, 0, 1676, 961, webp, 71374 bytes, 0, {'quality': 100, 'speed': 100, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                            
2014-08-22 20:59:31,838 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(32, 6442544 bytes, x=0, y=0, width=1676, height=961, rowstride=6704)                                        
2014-08-22 20:59:31,838 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191500 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:31,840 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,840 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 32bpp update at (0,0) size 1676x961 (6442544 bytes), stride=6704, row length 0, alignment 8, using GL upload format=BGRA)                                                                                                                                                                          
2014-08-22 20:59:31,841 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191500 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:31,843 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:31,843 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:31,843 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:31,843 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:31,843 record_decode_time(True) wid=2, webp: 1676x961, 24.5ms                                                                                                          
2014-08-22 20:59:31,843 after_draw_refresh(True) 1676x961 at 0x0 encoding=webp, options={'quality': 100, 'speed': 100, 'rgb_format': 'BGRX'}                                            
2014-08-22 20:59:32,258 process_draw 1099 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:32,258 draw_region(729, 568, 41, 51, rgb24, 1099 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:32,258 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:32,258 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191550 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:32,258 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,258 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:32,258 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191550 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:32,259 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,259 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:32,259 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:32,259 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:32,259 record_decode_time(True) wid=2, rgb24: 41x51, 1.5ms                                                                                                             
2014-08-22 20:59:32,259 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:32,357 process_draw 1050 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:32,357 draw_region(729, 568, 41, 51, rgb24, 1050 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:32,358 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:32,358 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1915a0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:32,358 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,358 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:32,358 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1915a0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:32,358 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,359 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:32,359 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:32,359 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:32,359 record_decode_time(True) wid=2, rgb24: 41x51, 1.4ms                                                                                                             
2014-08-22 20:59:32,359 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:32,440 process_draw 1051 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:32,440 draw_region(729, 568, 41, 51, rgb24, 1051 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:32,440 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:32,440 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1915f0 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:32,440 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,440 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:32,441 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1915f0 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:32,441 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,441 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:32,441 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:32,441 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:32,441 record_decode_time(True) wid=2, rgb24: 41x51, 1.6ms                                                                                                             
2014-08-22 20:59:32,442 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:32,559 process_draw 1144 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:32,559 draw_region(729, 568, 41, 51, rgb24, 1144 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:32,560 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:32,560 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191640 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:32,560 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,560 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:32,561 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191640 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:32,561 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:32,562 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:32,562 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:32,562 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:32,562 record_decode_time(True) wid=2, rgb24: 41x51, 2.4ms                                                                                                             
2014-08-22 20:59:32,562 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:33,554 process_draw 1051 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:33,554 draw_region(729, 568, 41, 51, rgb24, 1051 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:33,554 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:33,555 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191690 (GdkGLWindowImplX11 at 0x1b0f040)>                                                                                                                                                                       
2014-08-22 20:59:33,555 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:33,555 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)                                                                                                                                                                             
2014-08-22 20:59:33,555 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191690 (GdkGLWindowImplX11 at 0x1b0f040)>)                                                                                                                                                                             
2014-08-22 20:59:33,556 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)                                                                                   
2014-08-22 20:59:33,556 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()                                                                                                     
2014-08-22 20:59:33,557 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)                                                                              
2014-08-22 20:59:33,557 GLPixmapBacking(2, (1676, 961), None).present_fbo() done                                                                                                        
2014-08-22 20:59:33,557 record_decode_time(True) wid=2, rgb24: 41x51, 2.6ms                                                                                                             
2014-08-22 20:59:33,557 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}                                                              
2014-08-22 20:59:33,634 process_draw 1050 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}                                                         
2014-08-22 20:59:33,634 draw_region(729, 568, 41, 51, rgb24, 1050 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])                                                                                                                                                             
2014-08-22 20:59:33,634 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)                                           
2014-08-22 20:59:33,635 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c1916e0 (GdkGLWindowImplX11 at 0x1b0f040)>
2014-08-22 20:59:33,635 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)
2014-08-22 20:59:33,635 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)
2014-08-22 20:59:33,635 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c1916e0 (GdkGLWindowImplX11 at 0x1b0f040)>)
2014-08-22 20:59:33,636 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)
2014-08-22 20:59:33,636 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()
2014-08-22 20:59:33,636 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)
2014-08-22 20:59:33,636 GLPixmapBacking(2, (1676, 961), None).present_fbo() done
2014-08-22 20:59:33,636 record_decode_time(True) wid=2, rgb24: 41x51, 1.9ms
2014-08-22 20:59:33,636 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}
2014-08-22 20:59:33,751 process_draw 1099 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}
2014-08-22 20:59:33,751 draw_region(729, 568, 41, 51, rgb24, 1099 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])
2014-08-22 20:59:33,751 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)
2014-08-22 20:59:33,751 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191730 (GdkGLWindowImplX11 at 0x1b0f040)>
2014-08-22 20:59:33,751 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)
2014-08-22 20:59:33,752 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)
2014-08-22 20:59:33,752 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191730 (GdkGLWindowImplX11 at 0x1b0f040)>)
2014-08-22 20:59:33,752 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)
2014-08-22 20:59:33,752 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()
2014-08-22 20:59:33,752 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)
2014-08-22 20:59:33,752 GLPixmapBacking(2, (1676, 961), None).present_fbo() done
2014-08-22 20:59:33,753 record_decode_time(True) wid=2, rgb24: 41x51, 1.5ms
2014-08-22 20:59:33,753 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}
2014-08-22 20:59:33,834 process_draw 1228 bytes for window 2 using rgb24 encoding with options={'lz4': 1, 'rgb_format': 'BGRX'}
2014-08-22 20:59:33,834 draw_region(729, 568, 41, 51, rgb24, 1228 bytes, 164, {'lz4': 1, 'rgb_format': 'BGRX'}, [<function record_decode_time at 0x7f091c167de8>, <function after_draw_refresh at 0x7f091c167c80>])
2014-08-22 20:59:33,834 GLPixmapBacking(2, (1676, 961), None)._do_paint_rgb(24, 8364 bytes, x=729, y=568, width=41, height=51, rowstride=164)
2014-08-22 20:59:33,834 GLPixmapBacking(2, (1676, 961), None).gl_init() GL Pixmap backing size: 1676 x 961, drawable=<gtk.gdk.GLWindowImplX11 object at 0x7f091c191780 (GdkGLWindowImplX11 at 0x1b0f040)>
2014-08-22 20:59:33,835 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)
2014-08-22 20:59:33,835 GLPixmapBacking(2, (1676, 961), None).gl_marker(BGRX 24bpp update at (729,568) size 41x51 (8364 bytes), stride=164, row length 0, alignment 4, using GL upload format=BGRA)
2014-08-22 20:59:33,835 GLPixmapBacking(2, (1676, 961), None).gl_marker(Presenting FBO on screen for drawable <gtk.gdk.GLWindowImplX11 object at 0x7f091c191780 (GdkGLWindowImplX11 at 0x1b0f040)>)
2014-08-22 20:59:33,835 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching to RGB paint state)
2014-08-22 20:59:33,835 GLPixmapBacking(2, (1676, 961), None).gl_frame_terminator()
2014-08-22 20:59:33,836 GLPixmapBacking(2, (1676, 961), None).gl_marker(Switching back to YUV paint state)
2014-08-22 20:59:33,836 GLPixmapBacking(2, (1676, 961), None).present_fbo() done
2014-08-22 20:59:33,836 record_decode_time(True) wid=2, rgb24: 41x51, 1.5ms
2014-08-22 20:59:33,836 after_draw_refresh(True) 41x51 at 729x568 encoding=rgb24, options={'lz4': 1, 'rgb_format': 'BGRX'}

comment:16 Changed 6 years ago by Antoine Martin

Wait, this isn't using webp, you're now using rgb with lz4.
(not that I've managed to reproduce it any better..)

Also, are you saying that this broke with the recent update?
(me, very confused now)

comment:17 Changed 6 years ago by onlyjob

Well, windows are certainly broken with OpenGL/WebP -- perhaps I couldn't capture what you wanted? Or was it unable to negotiate WebP?

Visually breakage is somewhat similar to how konsole was broken without OpenGL except that now WebP is broken only in OpenGL mode.

comment:18 Changed 6 years ago by onlyjob

Yes, probably broken in attempt to fix WebP/no-OpenGL. I'm testing 0.14.2 now...

comment:19 Changed 6 years ago by Antoine Martin

Ouch, I've hit it.
You need a non-transparent window (konsole is transparent, or at least using a transparent visual) and webp and alpha support on the client and opengl..

comment:20 Changed 6 years ago by Antoine Martin

Right, it's an awful mess, mostly because we have to cope with older clients which do not specify the rgb format used (and also because there are other problems I have to deal with), so r7412 fixes things but not well.

Does that work for you in all cases?

Last edited 6 years ago by Antoine Martin (previous) (diff)

comment:21 Changed 6 years ago by Antoine Martin

Backport in r7419.

Will release 0.14.3 with this fix after some more testing.

Note to self: never ever commit even a trivial fix like this one just before a stable update... the bug had been present for many months, so there was absolutely no rush, but there is now as the stable version has a new bug - and a much more visible one!

comment:22 Changed 6 years ago by onlyjob

r7419 seems to work for me in all cases. Thank you.

Regarding "note to self" I think the lesson is not to avoid committing but to test more before releases. Even as little as 4 hours delay between my first confirmation and release of 0.14.2 could have save us from troubles... When doing Debian releases I often test for few days at least...

comment:23 Changed 6 years ago by Antoine Martin

Resolution: fixed
Status: newclosed

Thanks closing.

As for testing, something needs to be done, because I'm not happy at all with the amount of things that got missed in this release - despite the amount of extra effort put in for this first LTS, and a whole extra month spent testing... so #660 will try to deal with that.
The mistake I made in this ticket was in large part because of this: I've spent so much time this week fixing things that should not have been broken, that I've not done my job properly.

Sorry for wasting your time.

Note: See TracTickets for help on using tickets.